import QtQuick 1.1

Item {
    id: root
    width: image.width
    height: image.height

    property int deviation: 6
    property alias showSmallBird: smallBird.visible
    property bool animating: root.visible && Qt.application.active

    property alias content: board.children

    Image {
        id: image
        source: "image://cached/about/flag.png"

        Item {
            id: board
            anchors {
                fill: parent
                topMargin: 30
                leftMargin: 40
                rightMargin: 100
                bottomMargin: 30
            }
        }

        LoopImage {
            x: -40
            y: 10
            z: -1
            frameCount: 4
            duration: 400
            running: root.animating
            path: "image://cached/about/stripes"
        }

        LoopImage {
            x: 402
            y: 30
            frameCount: 6
            duration: 150
            running: root.animating
            path: "image://cached/birds/big"
        }

        LoopImage {
            x: 402
            y: 30
            frameCount: 6
            duration: 150
            running: root.animating
            path: "image://cached/birds/big"
        }

        SequentialAnimation on y {
            running: root.animating
            loops: Animation.Infinite

            NumberAnimation {
                from: -root.deviation
                to: root.deviation
                duration: 800
                easing.type: Easing.InQuad
            }
            NumberAnimation {
                from: root.deviation
                to: -root.deviation
                duration: 800
                easing.type: Easing.OutQuad
            }
        }
    }

    Item {
        x: 540
        y: 120

        LoopImage {
            id: smallBird
            frameCount: 6
            duration: 150
            running: root.animating
            path: "image://cached/birds/small"

            SequentialAnimation on y {
                running: root.animating
                loops: Animation.Infinite

                NumberAnimation {
                    from: -root.deviation
                    to: root.deviation
                    duration: 600
                    easing.type: Easing.InQuad
                }
                NumberAnimation {
                    from: root.deviation
                    to: -root.deviation
                    duration: 600
                    easing.type: Easing.OutQuad
                }
            }
        }
    }
}
