import QtQuick 1.1
import Expresso 1.0

Item {
    id: main
    property int unlockCount: 0

    Item {
        width: 854
        height: 480
        anchors.centerIn: parent

        Loader {
            id: screen
            anchors.fill: parent
        }

        Loader {
            id: splash
            anchors.fill: parent
            source: Qt.resolvedUrl("Splash.qml")
        }

        Image {
            source: "image://cached/top_left_corner.png"
            anchors.top: parent.top
            anchors.left: parent.left
        }
        Image {
            source: "image://cached/bottom_left_corner.png"
            anchors.bottom: parent.bottom
            anchors.left: parent.left
        }
        Image {
            source: "image://cached/top_right_corner.png"
            anchors.top: parent.top
            anchors.right: parent.right
        }
        Image {
            anchors.right: parent.right
            anchors.bottom: parent.bottom
            source: "image://cached/bottom_right_corner.png"
        }
    }

    ImageLoader {
        prefix: "cached"
        folder: Qt.resolvedUrl("images")
        onStatusChanged: {
            if (status == ImageLoader.Loaded)
                unlock();
        }
    }

    Connections {
        target: splash.item
        onTimeout: unlock();
    }

    function unlock() {
        unlockCount++;

        if (unlockCount == 2) {
            splash.source = "";
            screen.source = Qt.resolvedUrl("Screen.qml");
            screen.item.start();
        }
    }
}
