import QtQuick 1.1
import Box2D 1.0
import Expresso 1.0

Body {
    id: sprite
    bodyType: Body.Dynamic

    property int xVelocity: 0
    property int yVelocity: 0

    property alias sprite: coreSprite
    property alias spriteState: coreSprite.spriteState
    property alias spriteStates: coreSprite.spriteStates

    Sprite {
        id: coreSprite
        onAdvanced: advance();
    }

    function advance() {
        if (xVelocity != 0)
            sprite.linearVelocity.x = xVelocity;

        if (yVelocity != 0)
            sprite.linearVelocity.y = yVelocity;

        if (sprite.x + sprite.width * 2 < -canvas.sceneX)
            sprite.destroy(0);
    }
}
